%define qtdir %_prefix/lib/qt3


Name:           koverartist
Version:        0.5
Release:	%mkrel 1
Summary:	Covers for cd/dvd cases and boxes creator
License:	GPL
Url:            http://www.kde-apps.org/content/show.php?content=38195
Group:          Archiving/Other
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-devel 
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils

%description
KoverArtist is a program for the fast creation of covers for
cd/dvd cases and boxes. The main idea behind it is to be able
to create decent looking covers with some mouseclicks.

The project started from my need for some decent covers for the
films I record from television and then often burn on dvd for
archiving.

With series I usually start with one or two dvds, and add more as
more episodes are available. So the program - KoverArtist - had
to be flexible enough to handle that. This also requires changing
covers on the fly to use cases that can house more discs.

%prep
%setup -q -n %{name}

%build
export QTDIR=%qtdir
export KDEDIR=%_prefix

./configure \
	--prefix=%_prefix \
	--sysconfdir=%_sysconfdir \
	--datadir=%_datadir \
	--libdir=%_libdir \
	--disable-debug \
	--disable-warnings \
   --with-qt-libraries=%qtdir/%_lib \
%if "%{_lib}" == "lib64"
   --enable-libsuffix=64 \
%endif
   --disable-rpath

%make

%install
rm -rf %buildroot
%makeinstall_std

# Create LMDK menu entries
mkdir -p %buildroot%{_datadir}/applications/kde/
%__mv %buildroot%{_datadir}/applnk/Multimedia/%{name}.desktop %buildroot%{_datadir}/applications/kde/%{name}.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="KDE" \
  --add-category="Qt" \
  --add-category="X-MandrivaLinux-System-Archiving-Other" \
  --add-category="Archiving" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde $RPM_BUILD_ROOT%{_datadir}/applications/kde/*



install -m644 src/icons/hi16-app-%{name}.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 src/icons/hi32-app-%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -d $RPM_BUILD_ROOT%{_liconsdir}
convert -scale 48 src/icons/hi32-app-%{name}.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%find_lang %{name}


%clean
rm -rf %buildroot

%post
/sbin/ldconfig
%{update_menus}
 
%postun
/sbin/ldconfig
%{clean_menus} 

%files -f %{name}.lang
%defattr(-,root,root)
%doc doc README AUTHORS COPYING ChangeLog
%{_bindir}/%{name}
%{_datadir}/apps/%{name}/*
%{_datadir}/applications/kde/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png 
%{_iconsdir}/hicolor/*/apps/*.png
%_datadir/mimelnk/application/*.desktop
%dir %_docdir/HTML/en/%{name}/
%doc %_docdir/HTML/en/%{name}/*.docbook
%doc %_docdir/HTML/en/%{name}/common
%doc %_docdir/HTML/en/%{name}/*.bz2





%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.5-1mdv2008.1
+ Revision: 140904
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Feb 22 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.5-1mdv2007.0
+ Revision: 124837
- New version 0.5

* Fri Nov 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.4.4-1mdv2007.1
+ Revision: 76157
- New version 0.4.4
- import koverartist-0.3.1-3mdv2007.0

* Sat Jun 24 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-3mdv2007.0
- Rebuild for xdg menus

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-2mdk
- Fix BuildRequires
- Remove comments about svn

* Tue Apr 25 2006 Jerome Martin <jmartin@mandriva.org> 0.3.1-1mdk
- Initial version

